Bug 127050 - %changelog in SPEC file contains macros
%changelog in SPEC file contains macros
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libglade2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
: EasyFix
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-06-30 19:40 EDT by Moritz Barsnick
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-16 10:52:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Moritz Barsnick 2004-06-30 19:40:14 EDT
Description of problem:
The SPEC file of libglade2 seems to contain the macros %makeinstall 
and %install, instead of %%makeinstall and %%install.

Version-Release number of selected component (if applicable):
2.4.0-3

How reproducible:


Steps to Reproduce:
1. rpm -qp --changelog libglade2-2.4.0-3.i386.rpm
2.
3.
  
Actual results:
See a lot of junk (changing with every build) around the changelog 
entry from Thu Jun 01 2000.

Expected results:
See useful test.

Additional info:
Naming macros in text areas of SPEC files needs escape of the leading 
'%' in most cases. It's especially obvoius in the changelogs.

This bug is in many other packages as well... Where can I file multi 
package bugs in bugzilla?  :-)
Comment 1 Matthias Clasen 2004-08-16 10:52:48 EDT
This was fixed in 2.4.0-4

Note You need to log in before you can comment on or make changes to this bug.